commit:     f660c5878293678f5b389646eb27438ab1c727a3
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 11 21:05:46 2015 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Tue Aug 11 21:06:17 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f660c587

dev-scheme/gambit: Ensure /usr/share/gambc folder (bug #537302)

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>

 dev-scheme/gambit/gambit-4.7.0-r1.ebuild | 53 ++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

diff --git a/dev-scheme/gambit/gambit-4.7.0-r1.ebuild 
b/dev-scheme/gambit/gambit-4.7.0-r1.ebuild
new file mode 100644
index 0000000..8d67d5d
--- /dev/null
+++ b/dev-scheme/gambit/gambit-4.7.0-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit eutils elisp-common
+
+MY_PN=gambc
+MY_PV=${PV//./_}
+MY_P=${MY_PN}-v${MY_PV}
+
+DESCRIPTION="Gambit-C is a native Scheme to C compiler and interpreter"
+HOMEPAGE="http://www.iro.umontreal.ca/~gambit/";
+SRC_URI="http://www.iro.umontreal.ca/~gambit/download/gambit/v${PV%.*}/source/${MY_P}.tgz";
+
+LICENSE="|| ( Apache-2.0 LGPL-2.1 )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x86-macos"
+
+DEPEND="emacs? ( virtual/emacs )"
+RDEPEND=""
+
+SITEFILE="50gambit-gentoo.el"
+
+S=${WORKDIR}/${MY_P} #-devel
+
+IUSE="emacs static"
+
+src_configure() {
+       econf $(use_enable !static shared) 
--docdir="${EPREFIX}"/usr/share/doc/${PF} --enable-single-host 
--disable-absolute-shared-libs
+}
+
+src_compile() {
+       emake bootstrap || die
+
+       if use emacs; then
+               elisp-compile misc/*.el || die
+       fi
+}
+
+src_install() {
+       emake DESTDIR="${D}" install || die
+       keepdir /usr/share/${MY_PN}
+}
+
+pkg_postinst() {
+       use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+       use emacs && elisp-site-regen
+}

Reply via email to